Skip to main content
GET
/
v2
/
workflow
/
list-tasks
List tasks
curl --request GET \
  --url https://api.browseract.com/v2/workflow/list-tasks \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.browseract.com/v2/workflow/list-tasks"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.browseract.com/v2/workflow/list-tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "page": 123,
  "limit": 123,
  "items": [
    {
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "workflow_id": "<string>",
      "output": {
        "string": "{\"items\":[...]}",
        "files": [
          "<string>"
        ]
      },
      "live_url_info": {
        "width": 1280,
        "height": 720,
        "live_url": "https://live.browseract.com/task/task_123..."
      },
      "live_url": "<string>",
      "profile_id": "<string>",
      "finished_at": "2023-11-07T05:31:56Z",
      "task_failure_info": {
        "code": 10001,
        "message": "Navigation timeout"
      },
      "credit": 42,
      "input_parameters": "keyword=laptops;max_items=50"
    }
  ],
  "total_pages": 123,
  "total_count": 123
}
{
"code": 123,
"msg": "Invalid task_id",
"data": {},
"ts": 1699335116000,
"time": "2023-11-07T05:31:56Z",
"traceId": "b4bb01c1b2b14f11a6a2d7c1c8b0e3a1"
}
{
"code": 123,
"msg": "Invalid task_id",
"data": {},
"ts": 1699335116000,
"time": "2023-11-07T05:31:56Z",
"traceId": "b4bb01c1b2b14f11a6a2d7c1c8b0e3a1"
}

Authorizations

Authorization
string
header
required

Send your API key in the Authorization header as Bearer <API_KEY>.

Query Parameters

status
enum<string>

Filter tasks by status. Current task status.

  • created: Task is created but not yet running
  • running: Task is currently executing
  • finished: Task completed successfully
  • canceled: Task was canceled (e.g., via Stop Task)
  • pausing: Task is transitioning into paused state
  • paused: Task is paused and can be resumed
  • failed: Task ended with an error
  • unknown: Unknown or unsupported status
Available options:
created,
running,
finished,
canceled,
pausing,
paused,
failed,
unknown
workflow_id
string

Only return tasks created from this workflow ID.

workflow_name
string

Filter by workflow name using a case-insensitive partial match (contains).

created_at_from
string<date-time>

Lower bound of task creation time (inclusive). ISO 8601 format, e.g. 2024-01-01T00:00:00Z.

created_at_to
string<date-time>

Upper bound of task creation time (inclusive). ISO 8601 format, e.g. 2024-12-31T23:59:59Z.

page
integer

Page number to retrieve (starts at 1).

Required range: x >= 1
limit
integer

Number of tasks per page (max 500).

Required range: 1 <= x <= 500

Response

OK

Paginated response containing tasks and metadata.

page
integer<int32>

Current page number.

limit
integer<int32>

Number of items per page.

items
object[]

Tasks for the current page.

total_pages
integer<int32>

Total number of pages available.

total_count
integer<int32>

Total number of items.